MEMPARSE(9)

NAME
memparse - parse a string with mem suffixes into a number

SYNOPSIS

unsigned long long memparse(const char * ptr, char ** retptr);

ARGUMENTS

ptr
    Where parse begins

retptr
    (output) Optional pointer to next char after parse completes

DESCRIPTION

Parses a string into a number. The number stored at ptr is potentially suffixed with K, M, G, T, P, E.

COPYRIGHT